module ResourcePlanner
  #class ApplicationController < ActionController::Base
  class ApplicationController < ::ApplicationController

    protect_from_forgery with: :exception

    before_action :get_uri_info

    helper_method :mounted_path

    def get_uri_info
      @mounted_path = ::ResourcePlanner.mounted_path
      #puts "**************:" + @mounted_path
    end

    def mounted_path
      @mounted_path
    end

    protected

    def back_url
      params[:back_url] || request.env['HTTP_REFERER'] || root_url
    end

    private

    def get_resource_models
      ::ResourcePlanner.resource_models
    end

    def get_resource_model_groups
      ::ResourcePlanner.resource_model_groups
    end

  end
end
